#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)

%define rel 1

Name:           kcolorscheme
Version: 6.15.0
Release:        %mkrel %rel
Summary:        KDE Frameworks 6 Tier 2 classes to read and interact with KColorScheme
License:        CC0-1.0 LGPL-2.0+ LGPL-2.1 LGPL-3.0
Group:          System/Base
URL:            https://invent.kde.org/frameworks/kcolorscheme
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros
BuildRequires:  doxygen

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6QuickTest)

BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6GuiAddons)
BuildRequires:  cmake(KF6I18n)

BuildRequires:  pkgconfig(xkbcommon)

%description
KDE Frameworks 6 Tier 2 classes to read and interact with KColorScheme.

%files -f kcolorscheme6.lang
%doc README.md
%license LICENSES/*
%_kf6_categoriesdir/kcolorscheme.categories

#--------------------------------------------------------------------

%define kf6colorsheme_major 6
%define libkf6colorsheme %mklibname kf6colorsheme %{kf6colorsheme_major}

%package -n %libkf6colorsheme
Summary:        KDE Frameworks 6 Tier 2 classes to read and interact with KColorScheme
Group:          System/Libraries
Requires:       %{name} >= %{version}-%{release}

%description -n %libkf6colorsheme
KDE Frameworks 6 Tier 2 classes to read and interact with KColorScheme.

%files -n %libkf6colorsheme
%_kf6_libdir/libKF6ColorScheme.so.%{kf6colorsheme_major}{,.*}
%_kf6_libdir/libKF6ColorScheme.so.%{version}

#--------------------------------------------------------------------

%define kf6colorsheme_devel %mklibname kf6colorsheme -d

%package -n %kf6colorsheme_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf6colorsheme = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf6colorsheme_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf6colorsheme_devel
%_kf6_includedir/KColorScheme/
%_kf6_libdir/cmake/KF6ColorScheme/
%_kf6_libdir/libKF6ColorScheme.so

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang kcolorscheme6 --all-name


%changelog
* Sun Jun 15 2025 daviddavid <daviddavid> 6.15.0-1.mga10
+ Revision: 2191410
- New version 6.15.0

* Sun May 11 2025 daviddavid <daviddavid> 6.14.0-1.mga10
+ Revision: 2182380
- New version 6.14.0

* Sun Apr 13 2025 daviddavid <daviddavid> 6.13.0-1.mga10
+ Revision: 2175103
- New version 6.13.0

* Sat Mar 15 2025 daviddavid <daviddavid> 6.12.0-1.mga10
+ Revision: 2164114
- New version 6.12.0

* Thu Jan 09 2025 daviddavid <daviddavid> 6.10.0-1.mga10
+ Revision: 2136380
- New version 6.10.0

* Fri Dec 20 2024 daviddavid <daviddavid> 6.9.0-1.mga10
+ Revision: 2126565
- New version 6.9.0

* Sat Nov 09 2024 daviddavid <daviddavid> 6.8.0-1.mga10
+ Revision: 2113063
- New version 6.8.0

* Fri Oct 11 2024 daviddavid <daviddavid> 6.7.0-1.mga10
+ Revision: 2104736
- New version 6.7.0

* Sat Sep 14 2024 daviddavid <daviddavid> 6.6.0-1.mga10
+ Revision: 2095907
- New version 6.6.0

* Fri Aug 09 2024 daviddavid <daviddavid> 6.5.0-1.mga10
+ Revision: 2084349
- New version 6.5.0

* Fri Jun 07 2024 daviddavid <daviddavid> 6.3.0-1.mga10
+ Revision: 2070521
- New version 6.3.0

* Sat May 11 2024 daviddavid <daviddavid> 6.2.0-1.mga10
+ Revision: 2063377
- New version 6.2.0

* Sat Apr 13 2024 daviddavid <daviddavid> 6.1.0-1.mga10
+ Revision: 2056811
- New version 6.1.0

* Wed Feb 28 2024 neoclust <neoclust> 6.0.0-1.mga10
+ Revision: 2044909
- New version 6.0.0

* Tue Feb 06 2024 neoclust <neoclust> 5.249.0-1.mga10
+ Revision: 2037469
- New version 5.249.0

* Wed Jan 10 2024 neoclust <neoclust> 5.248.0-1.mga10
+ Revision: 2029561
- New version 5.248.0

* Tue Jan 09 2024 daviddavid <daviddavid> 5.247.0-2.mga10
+ Revision: 2029096
- library sub-pkg require main pkg to lang files

* Mon Jan 01 2024 neoclust <neoclust> 5.247.0-1.mga10
+ Revision: 2025597
- New version 5.247.0
- New version 5.246.0
+ daviddavid <daviddavid>
- add it to KDE Frameworks 6 Tier 2

* Fri Nov 10 2023 daviddavid <daviddavid> 5.245.0-1.mga10
+ Revision: 2005871
- initial package kcolorscheme

